using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoTbkDgGeneralLinkConvertCouponInfoDTO
{

    /*
        优惠券结束时间
    */
    private string? couponEndTime;


    /*
        券ID
    */
    private string? activityId;


    /*
        优惠券剩余数量
    */
    private long? couponRemainCount;


    /*
        券面额
    */
    private string? couponAmount;


    /*
        优惠券开始时间
    */
    private string? couponStartTime;


    /*
        优惠券信息，满XX元减XX元
    */
    private string? couponDesc;


    /*
         0-店铺 1-单品
    */
    private long? couponType;



    [JsonPropertyName("coupon_end_time")]
    public string? CouponEndTime
    {
        get => couponEndTime;
        set => this.couponEndTime = value;
    }

    [JsonPropertyName("activity_id")]
    public string? ActivityId
    {
        get => activityId;
        set => this.activityId = value;
    }

    [JsonPropertyName("coupon_remain_count")]
    public long? CouponRemainCount
    {
        get => couponRemainCount;
        set => this.couponRemainCount = value;
    }

    [JsonPropertyName("coupon_amount")]
    public string? CouponAmount
    {
        get => couponAmount;
        set => this.couponAmount = value;
    }

    [JsonPropertyName("coupon_start_time")]
    public string? CouponStartTime
    {
        get => couponStartTime;
        set => this.couponStartTime = value;
    }

    [JsonPropertyName("coupon_desc")]
    public string? CouponDesc
    {
        get => couponDesc;
        set => this.couponDesc = value;
    }

    [JsonPropertyName("coupon_type")]
    public long? CouponType
    {
        get => couponType;
        set => this.couponType = value;
    }

}

